<?php
/*
Plugin Name: Domain Search
Plugin URI: http://www.midphase.com
Version: 0.2
Author: MidPhase
Description: This plugin allows you to search domain name from your website

Copyright 2011  Midphase Hosting

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributded in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/



if (!class_exists("DomainDiscovery")) {
	class DomainDiscovery {
                var $adminOptionsName = "DomainDiscoveryAdminOptions";

		function DomainDiscovery() { //constructor

		}

                function init() {
                    $this->getAdminOptions();

                }

                function getAdminOptions() {
                    $DomainDiscoveryAdminOptions = array(
                        'domain_discovery_link' => true,
                        'domain_discovery_bg' => 'bg-gray.jpg'
                    );

                    $DomainDiscoveryOptions = get_option($this->adminOptionsName);
                    if (!empty($DomainDiscoveryOptions)) {
                        foreach ($DomainDiscoveryOptions as $key => $option)
                           $DomainDiscoveryAdminOptions[$key] = $option;
                    }
                    update_option($this->adminOptionsName, $DomainDiscoveryAdminOptions);

                    return $DomainDiscoveryAdminOptions;
                }


		


                function printAdminPage() {

                    global $wpdb;

                    $DomainDiscoveryOptions = $this->getAdminOptions();

                    if (isset($_POST['update_domain_discovery_settings'])) {

                            $DomainDiscoveryOptions['domain_discovery_link'] = $_POST['domain_discovery_link'];
                            $DomainDiscoveryOptions['domain_discovery_bg'] = $_POST['domain_discovery_bg'];
                               
                        update_option($this->adminOptionsName, $DomainDiscoveryOptions);

                       ?>

                        <div class="updated"><p><strong><?php _e("Settings Updated.", "DomainDiscovery");?></strong></p></div>

                     <?php
                    }

                    ?>
                    <div class="wrap">

				<h2>Midphase Domain Name Search</h2>
				<div class="postbox-container" style="width:65%;">
					<div class="metabox-holder">
						<div class="meta-box-sortables">
                    <form action="<?php echo get_bloginfo('wpurl') ; ?>/wp-admin/options-general.php?page=domain-discovery.php" method="post">
                        <div class="postbox" style="">
                            <h3>
                                <span>Domain Search Settings</span>
                            </h3>
                            <div class="inside" style="padding:10px;">
                        <table class="form-table">
                            <tbody>

               

                                <tr>
                                    <th scope="row">
                                        <label for="domain_discovery_link">Add link to creator:</label>
                                    </th>
                                    <td>
                                        <input type="checkbox" id="domain_discovery_link" name="domain_discovery_link" <?php if ($DomainDiscoveryOptions['domain_discovery_link']=='on') echo 'CHECKED' ;?> />
                                        <span class="description">
                                            This link is a way to thank <a target="_new" href="http://www.midphase.com">us</a> for all our hard work in putting this plugin together. If you like
                        the plugin please consider leaving the link in.
                                        </span>
                                    </td>
                                </tr>
                     <tr>
                                    <th scope="row">
                                        <label for="domain_discovery_bg">Background color:</label>
                                    </th>
                                    <td>
                                        <select name="domain_discovery_bg" id="domain_discovery_bg">
                                             <option <?php if ($DomainDiscoveryOptions['domain_discovery_bg']=='bg-gray.jpg') echo 'selected' ;?>   value="bg-gray.jpg">Gray</option>
                                             <option <?php if ($DomainDiscoveryOptions['domain_discovery_bg']=='bg-blue.jpg') echo 'selected' ;?>   value="bg-blue.jpg">Blue</option>
                                             <option <?php if ($DomainDiscoveryOptions['domain_discovery_bg']=='bg-bright-blue.jpg') echo 'selected' ;?>   value="bg-bright-blue.jpg">Bright Blue</option>
                                             <option <?php if ($DomainDiscoveryOptions['domain_discovery_bg']=='bg-bright-green.jpg') echo 'selected' ;?>   value="bg-bright-green.jpg">Bright Green</option>
                                             
                                             <option <?php if ($DomainDiscoveryOptions['domain_discovery_bg']=='bg-bright-yellow.jpg') echo 'selected' ;?>   value="bg-bright-yellow.jpg">Bright Yellow</option>
                                             <option <?php if ($DomainDiscoveryOptions['domain_discovery_bg']=='bg-light-green.jpg') echo 'selected' ;?>   value="bg-light-green.jpg">Light Green</option>
                                             <option <?php if ($DomainDiscoveryOptions['domain_discovery_bg']=='bg-purple.jpg') echo 'selected' ;?>   value="bg-purple.jpg">Purple</option>
                                             <option <?php if ($DomainDiscoveryOptions['domain_discovery_bg']=='bg-red.jpg') echo 'selected' ;?>   value="bg-red.jpg">Red</option>
                                             <option <?php if ($DomainDiscoveryOptions['domain_discovery_bg']=='bg-tan.jpg') echo 'selected' ;?>   value="bg-tan.jpg">Tan</option>
                                        </select>
                                             <span class="description">
                                            Select a background to match your site
                                        </span>
                                    </td>
                                </tr>

                            </tbody>
                        </table>
                        <div class="alignright">
                        <input type="submit" class="button-primary" name="update_domain_discovery_settings" value="<?php _e('Update Settings', 'DomainDiscovery') ?>" /></div>
                        <br class="clear" />
                            </div>
                        </div>

                        </form>
                        </div><!--metabox-sortables-->
                         </div><!--metabox-holder-->
                       </div><!--postbox-container-->
                    </div><!--wrap-->
                 <?php
                }

                function addHeaderCode() {
                    global $user_ID;
                    $DomainDiscoveryOptions = $this->getAdminOptions();

                    echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/domain-name-search/css/style.css" />' . "\n";

                    if (function_exists('wp_enqueue_script')) {

                       wp_enqueue_script('domain_discovery_js', get_bloginfo('wpurl') . '/wp-content/plugins/domain-name-search/js/DomainDiscovery.js', array('jquery'), '0.1');

                

                    }

                    $DomainDiscoveryAdminOptions = $this->getAdminOptions();
?>
                    <style>
#domain-discovery {
	background: url('<?php echo get_bloginfo('wpurl'); ?>/wp-content/plugins/domain-name-search/img/domain-tool-bg/<?php echo $DomainDiscoveryAdminOptions['domain_discovery_bg']; ?>') no-repeat 0 0;
}
                    </style>

 <?php

                }


                function addFooterCode() {
                      $DomainDiscoveryOptions = $this->getAdminOptions();
                    //nothing to do here





                }


                function load_widget($args) {
                    register_widget( 'Domain_Widget' );

                }
               

               




	}

} //End Class EasyTableCreator

//Initialize the admin panel
if (!function_exists("DomainDiscovery_ap")) {
    function DomainDiscovery_ap() {

        global $domain_discovery_plugin;
        if (!isset($domain_discovery_plugin)) {
            return;
        }

        if (function_exists('add_options_page')) {

            add_options_page('Domain Search', 'Domain Search', 9, basename(__FILE__), array(&$domain_discovery_plugin, 'printAdminPage'));

        }

    }
}



if (class_exists("DomainDiscovery")) {
	$domain_discovery_plugin = new DomainDiscovery();
}



//Actions and Filters
if (isset($domain_discovery_plugin)) {
	//Actions
        
    	add_action('wp_head', array(&$domain_discovery_plugin, 'addHeaderCode'), 1);
        add_action('wp_footer', array(&$domain_discovery_plugin, 'addFooterCode'), 1);
        add_action('admin_menu', 'DomainDiscovery_ap');
        add_action('activate_domain-name-search/domain-discovery.php', array(&$domain_discovery_plugin, 'init'));

        include("php/Domain_Widget.php");
        add_action("widgets_init", array(&$domain_discovery_plugin,'load_widget'),1);

}


