<?php

class Domain_Widget extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function Domain_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'domain_discovery', 'description' => __('Discover new domain names', 'DomainDiscovery') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 200, 'height' => 350, 'id_base' => 'domain-discovery' );

		/* Create the widget. */
		$this->WP_Widget( 'domain-discovery', __('Domain Search', 'DomainDiscovery'), $widget_ops, $control_ops );
	}

	/**
	 * How to display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );
                global $post;

               
         $title = apply_filters('widget_title', $instance['title'] );
        
                $DomainDiscovery = new DomainDiscovery();
           

    
		/* Before widget (defined by themes). */
		echo $before_widget;
                              
		/* Display the widget title if one was input (before and after defined by themes). */
	  


?>
<div id="domain-discovery">
<div class="domain-widget">
    <?php
     echo '<span id="domain-discovery-loader"><img src="'. get_bloginfo('wpurl') .'/wp-content/plugins/domain-name-search/img/ajax-loader_trans.gif" /></span>';


     ?>

    <div class="domain-widget-inside-wrapper">
    <?php
           	if ( $title )
			echo "$before_title $title $after_title";
    ?>
<form id="domain_discovery_form" method="post" action="http://projects.midphase.com/resellbiz_api/index.php?jsoncallback=?">
    <input type="text" id="domain_discovery_keywords" name="keywords" />
    <select id="domain_discovery_tld" value="com" name="tld" style="width:54px;font-size:12px">
        <option value="com">com</option>
        <option value="org">org</option>
        <option value="net">net</option>
        <option value="us">us</option>
        <option value="info">info</option>
        <option value="biz">biz</option>
    </select>

    <input type="submit" value="Search" />
   
    



</form>
    <div class="domain-discovery-clear"></div>



<div id="domain-discovery-results">

    
</div>

</div><!--domain-widget-inside-wrapper-->
<div id="domain-widget-inside-footer">
<?php
                        

               $admin_options = $DomainDiscovery->getAdminOptions();
                        if ($admin_options['domain_discovery_link']=='on') {
                            echo 'Powered By <a href="http://www.midphase.com">MidPhase Hosting</a>';
                        }

            

                echo '</div><!--domain-widget-inside-wrapper--></div><!--domain-search--></div>';
		/* After widget (defined by themes). */
		echo $after_widget;
             
	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );


		return $instance;
	}

	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => __('Domain Search', 'DomainDiscovery') );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'hybrid'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

	
	<?php
	}
}